Package org.bukkit.entity

# Enum Class TropicalFish.Pattern

java.lang.Object
java.lang.Enum<TropicalFish.Pattern>
org.bukkit.entity.TropicalFish.Pattern

All Implemented Interfaces:
  `Serializable`, `Comparable<TropicalFish.Pattern>`, `Constable`

Enclosing interface:
  TropicalFish

public static enum TropicalFish.Pattern extends Enum<TropicalFish.Pattern>
Enumeration of all different fish patterns. Refer to the Minecraft Wiki for pictures.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BETTY`
`BLOCKFISH`
`BRINELY`
`CLAYFISH`
`DASHER`
`FLOPPER`
`GLITTER`
`KOB`
`SNOOPER`
`SPOTTY`
`STRIPEY`
`SUNSTREAK`

## Method Summary

Modifier and Type
Method
Description
`static TropicalFish.Pattern`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TropicalFish.Pattern[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### KOB

public static final TropicalFish.Pattern KOB

### SUNSTREAK

public static final TropicalFish.Pattern SUNSTREAK

### SNOOPER

public static final TropicalFish.Pattern SNOOPER

### DASHER

public static final TropicalFish.Pattern DASHER

### BRINELY

public static final TropicalFish.Pattern BRINELY

### SPOTTY

public static final TropicalFish.Pattern SPOTTY

### FLOPPER

public static final TropicalFish.Pattern FLOPPER

### STRIPEY

public static final TropicalFish.Pattern STRIPEY

### GLITTER

public static final TropicalFish.Pattern GLITTER

### BLOCKFISH

public static final TropicalFish.Pattern BLOCKFISH

### BETTY

public static final TropicalFish.Pattern BETTY

### CLAYFISH

public static final TropicalFish.Pattern CLAYFISH

## Method Details

### values

public static TropicalFish.Pattern[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TropicalFish.Pattern valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null